Bug 188518 - libXcomposite-devel should require xorg-x11-proto-devel, libXfixes-devel and libXext-devel
Summary: libXcomposite-devel should require xorg-x11-proto-devel, libXfixes-devel and ...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libXcomposite   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-10 20:20 UTC by Dawid Gajownik
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-19 14:29:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dawid Gajownik 2006-04-10 20:20:55 UTC
Description of problem:
libXcomposite-devel should require xorg-x11-proto-devel, libXfixes-devel and
libXext-devel.

Version-Release number of selected component (if applicable):
libXcomposite-devel-0.2.2.2-2.2

How reproducible:
[y4kk0@X ~]$ pkg-config --libs xcomposite
Package xproto was not found in the pkg-config search path.
Perhaps you should add the directory containing `xproto.pc'
to the PKG_CONFIG_PATH environment variable
Package 'xproto', required by 'Xcomposite', not found

(after installing xorg-x11-proto-devel)
[y4kk0@X ~]$ pkg-config --libs xcomposite
Package xfixes was not found in the pkg-config search path.
Perhaps you should add the directory containing `xfixes.pc'
to the PKG_CONFIG_PATH environment variable
Package 'xfixes', required by 'Xcomposite', not found

(after installing libXfixes-devel)
[y4kk0@X ~]$ pkg-config --libs xcomposite
Package xext was not found in the pkg-config search path.
Perhaps you should add the directory containing `xext.pc'
to the PKG_CONFIG_PATH environment variable
Package 'xext', required by 'Xcomposite', not found

(after installing libXext-devel)
[y4kk0@X ~]$ pkg-config --libs xcomposite
-lXcomposite -lXfixes
[y4kk0@X ~]$ cat /usr/lib/pkgconfig/xcomposite.pc
prefix=/usr
exec_prefix=/usr
libdir=/usr/lib
includedir=/usr/include

Name: Xcomposite
Description: X Composite  Library
Version: 0.2.2.2
Requires: xproto compositeproto >= 0.2 xfixes
Requires.private: x11 xfixes xext
Cflags: -I${includedir}
Libs: -L${libdir} -lXcomposite
[y4kk0@X ~]$

Comment 1 Mike A. Harris 2006-05-19 14:29:29 UTC
Fixed in rawhide already at some point.


Note You need to log in before you can comment on or make changes to this bug.